#!/usr/bin/env python
# -*- coding: utf-8 -*-

from fastapi import APIRouter

from .school import router as school_router
from .grade import router as grade_router
from .schoolclass import router as class_router
from .teacher import router as teacher_router
from .student import router as student_router

router = APIRouter()
router.include_router(school_router, tags=["学校管理"])
router.include_router(grade_router, tags=["年级管理"])
router.include_router(class_router, tags=["班级管理"])
router.include_router(teacher_router, tags=["教师管理"])
router.include_router(student_router, tags=["学生管理"])
