#!/usr/bin/env python
# -*- coding: utf-8 -*-

from fastapi import APIRouter

from .endpoints.sysdata import router as sysdata_router
from .endpoints.school import router as school_router
from .endpoints.resource import router as resource_router
from .endpoints.paper import router as paper_router

router = APIRouter(prefix="/admin")
router.include_router(school_router)
router.include_router(resource_router)
router.include_router(sysdata_router)
router.include_router(paper_router)
