# -*- coding: utf-8 -*-

from fastapi import APIRouter

from schemas.app.paper import QuestionList
from .question import get_paper_questions

router = APIRouter(tags=["作业/考试中心-客户端"])

router.add_api_route("/papers/{pid}/questions",
                     get_paper_questions,
                     methods=["get"],
                     response_model=QuestionList,
                     response_model_exclude_none=True,
                     summary="作业/考试中心 - 试卷试题列表")

__all__ = [router]
