#!/usr/bin/env python
# -*- coding: utf-8 -*-

from fastapi import APIRouter

from schemas.app.student import StudentList
from .student import get_students

router = APIRouter(tags=["个人中心（教师）"])

router.add_api_route("/students",
                     get_students,
                     response_model=StudentList,
                     response_model_exclude_none=True,
                     summary="个人中心-学生列表")

__all__ = [router]
