#!/usr/bin/env python
# -*- coding: utf-8 -*-

from .endpoints.teacher import router as teacher_router
from .endpoints.resource import router as resource_router
from .endpoints.student import router as student_router
from .endpoints.review import router as review_router
from .endpoints.analysis import router as analysis_router
from .endpoints.paper import router as paper_router

from fastapi import APIRouter

router = APIRouter(prefix="/api")

router.include_router(teacher_router)
router.include_router(resource_router)
router.include_router(student_router)
router.include_router(review_router)
router.include_router(analysis_router)
router.include_router(paper_router)

__all__ = [router]
