#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os

from dotenv import find_dotenv, load_dotenv

# get env
env = os.getenv("FASTAPI_MODE")
if not env:
    load_dotenv(find_dotenv())
    env = os.getenv("FASTAPI_MODE")

if env == "production":
    from .production import settings
else:
    from .development import settings

__all__ = ["settings"]
